Package ru.bitel.bgbilling.modules.voiceip.server.bean

# Class VoiceIpLocationUploader

java.lang.Object
ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension
ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader
ru.bitel.bgbilling.modules.voiceip.server.bean.VoiceIpLocationUploader

    public class VoiceIpLocationUploader
    extends ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

  `con`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

  `moduleId`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceIpLocationUploader​(int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getNoObjectNumber()` |
  `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getObjectNumber()` |
  `java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow>` | `getRowList()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader

  `init`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.module.common.extension.DefaultClassExtension

  `getmoduleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceIpLocationUploader

    public VoiceIpLocationUploader​(int mid)

- ## Method Details

  - ### getRowList

    public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getRowList() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `getRowList` in class `ru.bitel.bgbilling.kernel.module.common.extension.fias.LocationUploader`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getObjectNumber

    public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getObjectNumber() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNoObjectNumber

    public java.util.List<ru.bitel.bgbilling.kernel.module.common.extension.fias.UploadFileRow> getNoObjectNumber() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`